using AutoMapper;
using MineTec.ProManager.Social.Chat;
using MineTec.ProManager.Social.Chat.Dto;
using MineTec.ProManager.Social.Friendships;
using MineTec.ProManager.Social.Friendships.Cache;
using MineTec.ProManager.Social.Friendships.Dto;

namespace MineTec.ProManager.Social
{
    internal static class SocialMapper
    {
        public static void CreateMappings(IMapperConfigurationExpression configuration)
        {
            configuration.CreateMap<Friendship, FriendDto>();
            configuration.CreateMap<FriendCacheItem, FriendDto>();
            configuration.CreateMap<ChatMessage, ChatMessageDto>();
        }
    }
}
